org.apache.sling.maven.projectsupport

## Class PrepareTestWebAppMojo

- java.lang.Object
- - org.apache.maven.plugin.AbstractMojo
  - - org.apache.sling.maven.projectsupport.AbstractBundleListMojo
    - - org.apache.sling.maven.projectsupport.AbstractUsingBundleListMojo
      - - org.apache.sling.maven.projectsupport.AbstractLaunchpadFrameworkMojo
        - - org.apache.sling.maven.projectsupport.PreparePackageMojo
          - - org.apache.sling.maven.projectsupport.PrepareTestWebAppMojo

All Implemented Interfaces:
  org.apache.maven.plugin.ContextEnabled, org.apache.maven.plugin.Mojo

    @Mojo(name="prepare-test-webapp",
          requiresDependencyResolution=TEST,
          defaultPhase=PACKAGE)
    public class PrepareTestWebAppMojo
    extends PreparePackageMojo

Initialize a Sling integration test webapp by extracting bundles into the correct locations, including the current artifact.

### Field Summary

### Fields inherited from class org.apache.sling.maven.projectsupport.AbstractLaunchpadFrameworkMojo

`baseDestination`

### Fields inherited from class org.apache.sling.maven.projectsupport.AbstractUsingBundleListMojo

`BUNDLE_PATH_PREFIX, CONFIG_PATH_PREFIX, defaultBundleList, JAR, mavenFileFilter, WAR`

### Fields inherited from class org.apache.sling.maven.projectsupport.AbstractBundleListMojo

`bundleListFile, commonSlingBootstrap, commonSlingProps, ignoreBundleListConfig, mavenSession, PARTIAL, project, projectHelper, standaloneSlingBootstrap, standaloneSlingProps, webappSlingBootstrap, webappSlingProps`

### Fields inherited from interface org.apache.maven.plugin.Mojo

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`PrepareTestWebAppMojo()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `executeWithArtifacts()` Execute the logic of the plugin after the default artifacts have been initialized.
`protected File` `getOutputDirectory()`
`protected void` `unpackBaseArtifact()`

### Methods inherited from class org.apache.sling.maven.projectsupport.PreparePackageMojo

`initArtifactDefinitions, initBundleList`

### Methods inherited from class org.apache.sling.maven.projectsupport.AbstractLaunchpadFrameworkMojo

`copy, copy, copyBundles, getPathForArtifact`

### Methods inherited from class org.apache.sling.maven.projectsupport.AbstractUsingBundleListMojo

`execute, getConfigDirectory, getInitializedBundleList, getSlingBootstrap, getSlingProperties, shouldCopy`

### Methods inherited from class org.apache.sling.maven.projectsupport.AbstractBundleListMojo

`copyDirectory, getArtifact, getArtifact`

### Methods inherited from class org.apache.maven.plugin.AbstractMojo

`getLog, getPluginContext, setLog, setPluginContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PrepareTestWebAppMojo

    public PrepareTestWebAppMojo()

### Method Detail

#### executeWithArtifacts

    public void executeWithArtifacts()
                              throws org.apache.maven.plugin.MojoExecutionException,
                                     org.apache.maven.plugin.MojoFailureException

Description copied from class: `AbstractUsingBundleListMojo`
Execute the logic of the plugin after the default artifacts have been initialized.

Overrides:
  `executeWithArtifacts` in class `PreparePackageMojo`
Throws:
  `org.apache.maven.plugin.MojoExecutionException`
  `org.apache.maven.plugin.MojoFailureException`

#### getOutputDirectory

    protected File getOutputDirectory()

Overrides:
  `getOutputDirectory` in class `PreparePackageMojo`

#### unpackBaseArtifact

    protected void unpackBaseArtifact()
                               throws org.apache.maven.plugin.MojoExecutionException

Overrides:
  `unpackBaseArtifact` in class `PreparePackageMojo`
Throws:
  `org.apache.maven.plugin.MojoExecutionException`